Name:           ocaml-json-wheel
Version:        1.0.6
Release:        %mkrel 12
Summary:        OCaml library for parsing JSON
License:        BSD
Group:          Development/OCaml
URL:            http://martin.jambon.free.fr/json-wheel.html
Source0:        http://martin.jambon.free.fr/json-wheel-%{version}.tar.bz2
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pcre-devel
Requires: ocaml-ocamlnet

%description
JSON library for OCaml following RFC 4627.

If you use this library, consider installing ocaml-json-static, the
syntax extension to the language which makes using JSON much easier.

Json-wheel is now deprecated. Do not use it in new projects.
It has been replaced by Yojson.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ocamlnet-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n json-wheel-%{version}

%build
make
strip jsoncat

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p %{buildroot}%{_bindir}

make BINDIR=%{buildroot}%{_bindir} install

# Remove *.cmo and *.o files.  These aren't needed for
# anything because they are included in the *.cma/*.a.
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.cmo
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.o

%files
%doc LICENSE
%dir %{_libdir}/ocaml/json-wheel
%{_libdir}/ocaml/json-wheel/META
%{_libdir}/ocaml/json-wheel/*.cma
%{_libdir}/ocaml/json-wheel/*.cmi
%{_bindir}/jsoncat

%files devel
%doc LICENSE Changes README html
%{_libdir}/ocaml/json-wheel/*.a
%{_libdir}/ocaml/json-wheel/*.cmxa
%{_libdir}/ocaml/json-wheel/*.cmx
%{_libdir}/ocaml/json-wheel/*.mli
%{_libdir}/ocaml/json-wheel/*.ml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-12.mga3
+ Revision: 361415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.0.6-11.mga3
+ Revision: 323954
- rebuild for new pcre

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.0.6-10.mga3
+ Revision: 319824
- Json-wheel is now deprecated. Do not use it in new projects. It has been replaced by Yojson.

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.0.6-9.mga3
+ Revision: 302191
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.6-8.mga3
+ Revision: 300532
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 1.0.6-7.mga2
+ Revision: 229856
- adding missing requires to ocaml-ocamlnet

* Sat Oct 22 2011 malo <malo> 1.0.6-6.mga2
+ Revision: 157398
- rebuild for Ocaml 3.12.1

* Sat Apr 30 2011 pterjan <pterjan> 1.0.6-5.mga1
+ Revision: 93949
- Bump release higher than Mandriva

* Fri Apr 08 2011 ennael <ennael> 1.0.6-4.mga1
+ Revision: 82387
- clean spec file
- imported package ocaml-json-wheel

